NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.DieEngDefineProductOrientationBuilder Class Reference

Die Engineer define product orientation builder. More...

Inheritance diagram for NXOpen.Tooling.DieEngDefineProductOrientationBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FacetQualityOption {
  Coarse, Normal, Fine, ExtraFine,
  UltraFine
}
 the facet quality option More...
 
enum  OptimalMethod {
  MinimizeBackdraft, MinimizeDrawDepth, NormaltoFace, AxisofHole,
  ThreePoints
}
 the optimal method More...
 
enum  ViewDraftOptions { None, ComputeTrimAngles, ComputeWallAngles }
 view draft options More...
 

Public Member Functions

unsafe void ButtonApplyOptimal ()
 The callback function of button apply optimal More...
 
unsafe void ButtonCopy ()
 The callback function of button copy More...
 
unsafe void ButtonCopyTip ()
 The callback function of button copy tip More...
 
unsafe void ButtonCut ()
 The callback function of button cut More...
 
unsafe void ButtonNew ()
 The callback function of button new More...
 
unsafe void ButtonPaste ()
 The callback function of button paste More...
 
unsafe void ButtonView ()
 The callback function of button view More...
 
unsafe string[] GetReason ()
 Returns the reason More...
 
unsafe void SetReason (string[] reason)
 Sets the reason More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Direction AngleAbout [get, set]
 Returns or sets the angle about More...
 
unsafe double AngleIncrement [get, set]
 Returns or sets the angle increment More...
 
unsafe double AngleValue [get, set]
 Returns or sets the angle value More...
 
unsafe double AngleValueOptimal [get, set]
 Returns or sets the angle value optimal More...
 
unsafe
NXOpen.Tooling.DieEngDefineProductOrientationBuilder.OptimalMethod 
ChooseOptimalMethod [get, set]
 Returns or sets the choose optimal method More...
 
unsafe NXOpen.NXColor ColorDepthPass [get, set]
 Returns or sets the color depth pass More...
 
unsafe NXOpen.NXColor ColorDraftAngleFailure [get, set]
 Returns or sets the color draft angle failure More...
 
unsafe NXOpen.NXColor ColorDraftAnglePass [get, set]
 Returns or sets the color draft angle pass More...
 
unsafe NXOpen.NXColor ColorDraftAngleWarning [get, set]
 Returns or sets the color draft angle warning More...
 
unsafe NXOpen.NXColor ColorFailure [get, set]
 Returns or sets the color failure More...
 
unsafe NXOpen.NXColor ColorWarning [get, set]
 Returns or sets the color warning More...
 
unsafe double DoublePassTranslucency [get, set]
 Returns or sets the double pass translucency More...
 
unsafe double DraftAngleScale [get, set]
 Returns or sets the draft angle scale More...
 
unsafe
NXOpen.Tooling.DieEngDefineProductOrientationBuilder.FacetQualityOption 
FacetQualityOptions [get, set]
 Returns or sets the facet quality options More...
 
unsafe bool FailureShowIsocline [get, set]
 Returns or sets the failure show isocline More...
 
unsafe double FailureValue [get, set]
 Returns or sets the failure value More...
 
unsafe NXOpen.Point FromPoint [get, set]
 Returns or sets the from point More...
 
unsafe NXOpen.Direction FromVector [get, set]
 Returns or sets the from vector More...
 
unsafe bool LimitShading [get, set]
 Returns or sets the limit shading More...
 
unsafe string NameCSYS [get, set]
 Returns or sets the name csys More...
 
unsafe NXOpen.ScCollector OptimalHoleAxis [get]
 Returns the optimal hole axis More...
 
unsafe NXOpen.Point OptimalPoint1 [get, set]
 Returns or sets the optimal point1 More...
 
unsafe NXOpen.Point OptimalPoint2 [get, set]
 Returns or sets the optimal point2 More...
 
unsafe NXOpen.Point OptimalPoint3 [get, set]
 Returns or sets the optimal point3 More...
 
unsafe NXOpen.Point PointInRegion [get, set]
 Returns or sets the point in region More...
 
unsafe NXOpen.Point PointInRegion1 [get, set]
 Returns or sets the point in region1 More...
 
unsafe NXOpen.CoordinateSystem ProductCSYS [get, set]
 Returns or sets the product csys More...
 
unsafe bool ReverseNormal [get, set]
 Returns or sets the reverse normal More...
 
unsafe bool ReverseSheetNormal [get, set]
 Returns or sets the reverse sheet normal More...
 
unsafe NXOpen.Point ToPoint [get, set]
 Returns or sets the to point More...
 
unsafe NXOpen.Direction ToVector [get, set]
 Returns or sets the to vector More...
 
unsafe NXOpen.ScCollector TrimProfile [get]
 Returns the trim profile More...
 
unsafe double TrimWallAngleScale [get, set]
 Returns or sets the trim wall angle scale More...
 
unsafe NXOpen.ScCollector ViewRegionBounds [get]
 Returns the view region bounds More...
 
unsafe bool VisualizeDepth [get, set]
 Returns or sets the visualize depth More...
 
unsafe bool VisualizeDraft [get, set]
 Returns or sets the visualize draft More...
 
unsafe
NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ViewDraftOptions 
VisualizeDraftOptions [get, set]
 Returns or sets the visualize draft options More...
 
unsafe bool WarningShowIsocline [get, set]
 Returns or sets the warning show isocline More...
 
unsafe double WarningValue [get, set]
 Returns or sets the warning value More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Die Engineer define product orientation builder.

To create a new instance of this class, use NXOpen.Tooling.AutoDieCollection.CreateDieEngDefineProductOrientationBuilder

Default values.

Property Value

AngleIncrement

0

AngleValue

0

AngleValueOptimal

0

ChooseOptimalMethod

MinimizeBackdraft

DoublePassTranslucency

0

DraftAngleScale

0

FacetQualityOptions

Coarse

FailureShowIsocline

0

FailureValue

75

LimitShading

0

TrimWallAngleScale

0

VisualizeDepth

0

VisualizeDraft

0

VisualizeDraftOptions

None

WarningShowIsocline

0

WarningValue

50

Created in NX11.0.0

Member Enumeration Documentation

the facet quality option

Enumerator
Coarse 
Normal 
Fine 
ExtraFine 
UltraFine 

the optimal method

Enumerator
MinimizeBackdraft 
MinimizeDrawDepth 
NormaltoFace 
AxisofHole 
ThreePoints 

view draft options

Enumerator
None 
ComputeTrimAngles 
ComputeWallAngles 

Member Function Documentation

unsafe void NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ButtonApplyOptimal ( )
inline

The callback function of button apply optimal

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe void NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ButtonCopy ( )
inline

The callback function of button copy

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe void NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ButtonCopyTip ( )
inline

The callback function of button copy tip

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe void NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ButtonCut ( )
inline

The callback function of button cut

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe void NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ButtonNew ( )
inline

The callback function of button new

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe void NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ButtonPaste ( )
inline

The callback function of button paste

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe void NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ButtonView ( )
inline

The callback function of button view

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe string [] NXOpen.Tooling.DieEngDefineProductOrientationBuilder.GetReason ( )
inline

Returns the reason

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Returns
unsafe void NXOpen.Tooling.DieEngDefineProductOrientationBuilder.SetReason ( string[]  reason)
inline

Sets the reason

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
reason

Property Documentation

unsafe NXOpen.Direction NXOpen.Tooling.DieEngDefineProductOrientationBuilder.AngleAbout
getset

Returns or sets the angle about

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngDefineProductOrientationBuilder.AngleIncrement
getset

Returns or sets the angle increment

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngDefineProductOrientationBuilder.AngleValue
getset

Returns or sets the angle value

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngDefineProductOrientationBuilder.AngleValueOptimal
getset

Returns or sets the angle value optimal

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Tooling.DieEngDefineProductOrientationBuilder.OptimalMethod NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ChooseOptimalMethod
getset

Returns or sets the choose optimal method

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.NXColor NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ColorDepthPass
getset

Returns or sets the color depth pass

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.NXColor NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ColorDraftAngleFailure
getset

Returns or sets the color draft angle failure

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.NXColor NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ColorDraftAnglePass
getset

Returns or sets the color draft angle pass

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.NXColor NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ColorDraftAngleWarning
getset

Returns or sets the color draft angle warning

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.NXColor NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ColorFailure
getset

Returns or sets the color failure

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.NXColor NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ColorWarning
getset

Returns or sets the color warning

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngDefineProductOrientationBuilder.DoublePassTranslucency
getset

Returns or sets the double pass translucency

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngDefineProductOrientationBuilder.DraftAngleScale
getset

Returns or sets the draft angle scale

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Tooling.DieEngDefineProductOrientationBuilder.FacetQualityOption NXOpen.Tooling.DieEngDefineProductOrientationBuilder.FacetQualityOptions
getset

Returns or sets the facet quality options

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngDefineProductOrientationBuilder.FailureShowIsocline
getset

Returns or sets the failure show isocline

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngDefineProductOrientationBuilder.FailureValue
getset

Returns or sets the failure value

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Tooling.DieEngDefineProductOrientationBuilder.FromPoint
getset

Returns or sets the from point

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Direction NXOpen.Tooling.DieEngDefineProductOrientationBuilder.FromVector
getset

Returns or sets the from vector

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngDefineProductOrientationBuilder.LimitShading
getset

Returns or sets the limit shading

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe string NXOpen.Tooling.DieEngDefineProductOrientationBuilder.NameCSYS
getset

Returns or sets the name csys

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ScCollector NXOpen.Tooling.DieEngDefineProductOrientationBuilder.OptimalHoleAxis
get

Returns the optimal hole axis

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Tooling.DieEngDefineProductOrientationBuilder.OptimalPoint1
getset

Returns or sets the optimal point1

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Tooling.DieEngDefineProductOrientationBuilder.OptimalPoint2
getset

Returns or sets the optimal point2

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Tooling.DieEngDefineProductOrientationBuilder.OptimalPoint3
getset

Returns or sets the optimal point3

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Tooling.DieEngDefineProductOrientationBuilder.PointInRegion
getset

Returns or sets the point in region

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Tooling.DieEngDefineProductOrientationBuilder.PointInRegion1
getset

Returns or sets the point in region1

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.CoordinateSystem NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ProductCSYS
getset

Returns or sets the product csys

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ReverseNormal
getset

Returns or sets the reverse normal

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ReverseSheetNormal
getset

Returns or sets the reverse sheet normal

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ToPoint
getset

Returns or sets the to point

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Direction NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ToVector
getset

Returns or sets the to vector

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ScCollector NXOpen.Tooling.DieEngDefineProductOrientationBuilder.TrimProfile
get

Returns the trim profile

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngDefineProductOrientationBuilder.TrimWallAngleScale
getset

Returns or sets the trim wall angle scale

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ScCollector NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ViewRegionBounds
get

Returns the view region bounds

Created in NX11.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngDefineProductOrientationBuilder.VisualizeDepth
getset

Returns or sets the visualize depth

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngDefineProductOrientationBuilder.VisualizeDraft
getset

Returns or sets the visualize draft

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Tooling.DieEngDefineProductOrientationBuilder.ViewDraftOptions NXOpen.Tooling.DieEngDefineProductOrientationBuilder.VisualizeDraftOptions
getset

Returns or sets the visualize draft options

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngDefineProductOrientationBuilder.WarningShowIsocline
getset

Returns or sets the warning show isocline

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngDefineProductOrientationBuilder.WarningValue
getset

Returns or sets the warning value

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.